/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.renderer.xml;

import org.xml.sax.ContentHandler;
import org.xwiki.rendering.listener.chaining.AbstractChainingListener;
import org.xwiki.rendering.renderer.xml.ContentHandlerStreamRenderer;

/**
 * 
 * @version $Id: d699b3fa10263a4fea6e1d5a98a057cc08edb169 $
 * @since 3.3M1
 */
public abstract class AbstractChainingContentHandlerStreamRenderer extends AbstractChainingListener implements
    ContentHandlerStreamRenderer
{
    /**
     * the object to send SAX events to.
     */
    private ContentHandler contentHandler;

    @Override
    public ContentHandler getContentHandler()
    {
        return this.contentHandler;
    }

    @Override
    public void setContentHandler(ContentHandler contentHandler)
    {
        this.contentHandler = contentHandler;
    }
}
